## rkwarddev 0.01-2

=== DESCRIPTION ===
Package: rkwarddev
Type: Package
Title: A collection of tools for RKWard plugin development
Author: m.eik michalke <meik.michalke@hhu.de>
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Depends:
    R (>= 2.9.0),
    XiMpLe
Enhances: rkward
Description: Provides functions to create plugin skeletons
    and XML structures for RKWard.
License: GPL (>= 3)
Encoding: UTF-8
LazyLoad: yes
URL: http://rkward.sourceforge.net
Authors@R: c(person(given="Meik", family="Michalke",
    email="meik.michalke@hhu.de", role=c("aut", "cre")))
Version: 0.01-2
Date: 2011-09-15
Collate:
    'rk-internal.R'
    'rk.JS.array.R'
    'rk.JS.doc.R'
    'rk.JS.scan.R'
    'rk.plugin.skeleton.R'
    'rk.rkh.doc.R'
    'rk.rkh.scan.R'
    'rk.testsuite.doc.R'
    'rkwarddev-desc-internal.R'
    'rkwarddev-package.R'
    'rk.XML.about.R'
    'rk.XML.browser.R'
    'rk.XML.cbox.R'
    'rk.XML.col.R'
    'rk.XML.dropdown.R'
    'rk.XML.frame.R'
    'rk.XML.input.R'
    'rk.XML.pluginmap.R'
    'rk.XML.plugin.R'
    'rk.XML.radio.R'
    'rk.XML.row.R'
    'rk.XML.saveobj.R'
    'rk.XML.stretch.R'
    'rk.XML.tabbook.R'
    'rk.XML.text.R'
    'rk.XML.vars.R'
Packaged: 2011-09-15 19:51:11 UTC; m

## rkwarddev 0.02-2

=== DESCRIPTION ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Author: m.eik michalke <meik.michalke@hhu.de>
 Maintainer: m.eik michalke <meik.michalke@hhu.de>
 Depends:
-    R (>= 2.9.0),
-    XiMpLe
+    R (>= 2.9.0),XiMpLe,rkward (>= 0.5.6)
 Enhances: rkward
 Description: Provides functions to create plugin skeletons
     and XML structures for RKWard.
@@ -15,9 +14,10 @@
 URL: http://rkward.sourceforge.net
 Authors@R: c(person(given="Meik", family="Michalke",
     email="meik.michalke@hhu.de", role=c("aut", "cre")))
-Version: 0.01-2
-Date: 2011-09-15
+Version: 0.02-2
+Date: 2011-09-29
 Collate:
+    'rk.build.plugin.R'
     'rk-internal.R'
     'rk.JS.array.R'
     'rk.JS.doc.R'
@@ -32,16 +32,35 @@
     'rk.XML.browser.R'
     'rk.XML.cbox.R'
     'rk.XML.col.R'
+    'rk.XML.connect.R'
+    'rk.XML.convert.R'
+    'rk.XML.copy.R'
+    'rk.XML.dialog.R'
     'rk.XML.dropdown.R'
+    'rk.XML.embed.R'
+    'rk.XML.external.R'
+    'rk.XML.formula.R'
     'rk.XML.frame.R'
+    'rk.XML.include.R'
     'rk.XML.input.R'
+    'rk.XML.insert.R'
+    'rk.XML.logic.R'
+    'rk.XML.page.R'
     'rk.XML.pluginmap.R'
     'rk.XML.plugin.R'
+    'rk.XML.preview.R'
     'rk.XML.radio.R'
     'rk.XML.row.R'
     'rk.XML.saveobj.R'
+    'rk.XML.set.R'
+    'rk.XML.snippet.R'
+    'rk.XML.snippets.R'
+    'rk.XML.spinbox.R'
     'rk.XML.stretch.R'
     'rk.XML.tabbook.R'
     'rk.XML.text.R'
+    'rk.XML.varselector.R'
+    'rk.XML.varslot.R'
     'rk.XML.vars.R'
-Packaged: 2011-09-15 19:51:11 UTC; m
+    'rk.XML.wizard.R'
+Packaged: 2011-09-29 17:17:50 UTC; m

## rkwarddev 0.02-3

=== DESCRIPTION ===
--- 
+++ 
@@ -14,8 +14,8 @@
 URL: http://rkward.sourceforge.net
 Authors@R: c(person(given="Meik", family="Michalke",
     email="meik.michalke@hhu.de", role=c("aut", "cre")))
-Version: 0.02-2
-Date: 2011-09-29
+Version: 0.02-3
+Date: 2011-09-30
 Collate:
     'rk.build.plugin.R'
     'rk-internal.R'
@@ -29,27 +29,35 @@
     'rkwarddev-desc-internal.R'
     'rkwarddev-package.R'
     'rk.XML.about.R'
+    'rk.XML.attribute.R'
     'rk.XML.browser.R'
     'rk.XML.cbox.R'
     'rk.XML.col.R'
+    'rk.XML.component.R'
+    'rk.XML.components.R'
     'rk.XML.connect.R'
+    'rk.XML.context.R'
     'rk.XML.convert.R'
     'rk.XML.copy.R'
     'rk.XML.dialog.R'
     'rk.XML.dropdown.R'
     'rk.XML.embed.R'
+    'rk.XML.entry.R'
     'rk.XML.external.R'
     'rk.XML.formula.R'
     'rk.XML.frame.R'
+    'rk.XML.hierarchy.R'
     'rk.XML.include.R'
     'rk.XML.input.R'
     'rk.XML.insert.R'
     'rk.XML.logic.R'
+    'rk.XML.menu.R'
     'rk.XML.page.R'
     'rk.XML.pluginmap.R'
     'rk.XML.plugin.R'
     'rk.XML.preview.R'
     'rk.XML.radio.R'
+    'rk.XML.require.R'
     'rk.XML.row.R'
     'rk.XML.saveobj.R'
     'rk.XML.set.R'
@@ -63,4 +71,4 @@
     'rk.XML.varslot.R'
     'rk.XML.vars.R'
     'rk.XML.wizard.R'
-Packaged: 2011-09-29 17:17:50 UTC; m
+Packaged: 2011-09-30 21:03:28 UTC; m

## rkwarddev 0.06-2

=== DESCRIPTION ===
Package: rkwarddev
Type: Package
Title: A collection of tools for RKWard plugin development
Author: m.eik michalke <meik.michalke@hhu.de>
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Depends: R (>= 2.9.0),methods,XiMpLe (>= 0.03-18),rkward (>= 0.5.6)
Enhances: rkward
Description: Provides functions to create plugin skeletons and XML structures
    for RKWard.
License: GPL (>= 3)
Encoding: UTF-8
LazyLoad: yes
URL: http://rkward.sourceforge.net
Authors@R: c(person(given="Meik", family="Michalke",
        email="meik.michalke@hhu.de", role=c("aut", "cre")))
Version: 0.06-2
Date: 2013-04-04
Collate: 'echo.R' 'id.R' 'rk.JS.ite-class.R' 'ite.R' 'join.R' 'qp.R'
        'rk.build.plugin.R' 'rk.comment.R' 'rk-internal.R'
        'rk.JS.array.R' 'rk.JS.arr-class.R' 'rk.JS.doc.R'
        'rk.JS.opt-class.R' 'rk.JS.options.R' 'rk.JS.saveobj.R'
        'rk.JS.scan.R' 'rk.JS.var-class.R' 'rk.JS.vars.R'
        'rk.paste.JS.graph.R' 'rk.paste.JS.R' 'rk.plotOptions.R'
        'rk.rkh.doc.R' 'rk.XML.plugin.R' 'rk.plug.comp-class.R'
        'rk.plugin.component.R' 'rk.plugin.skeleton.R'
        'rk.rkh.caption.R' 'rk.rkh.link.R' 'rk.rkh.related.R'
        'rk.rkh.scan.R' 'rk.rkh.section.R' 'rk.rkh.setting.R'
        'rk.rkh.settings.R' 'rk.rkh.summary.R' 'rk.rkh.technical.R'
        'rk.rkh.title.R' 'rk.rkh.usage.R' 'rk.testsuite.doc.R'
        'rkwarddev-desc-internal.R' 'rkwarddev-package.R'
        'rk.XML.about.R' 'rk.XML.attribute.R' 'rk.XML.browser.R'
        'rk.XML.cbox.R' 'rk.XML.code.R' 'rk.XML.col.R'
        'rk.XML.component.R' 'rk.XML.components.R' 'rk.XML.connect.R'
        'rk.XML.context.R' 'rk.XML.convert.R' 'rk.XML.copy.R'
        'rk.XML.dependencies.R' 'rk.XML.dependency_check.R'
        'rk.XML.dialog.R' 'rk.XML.dropdown.R' 'rk.XML.embed.R'
        'rk.XML.entry.R' 'rk.XML.external.R' 'rk.XML.formula.R'
        'rk.XML.frame.R' 'rk.XML.help.R' 'rk.XML.hierarchy.R'
        'rk.XML.include.R' 'rk.XML.input.R' 'rk.XML.insert.R'
        'rk.XML.logic.R' 'rk.XML.matrix.R' 'rk.XML.menu.R'
        'rk.XML.optioncolumn.R' 'rk.XML.optiondisplay.R'
        'rk.XML.optionset.R' 'rk.XML.page.R' 'rk.XML.pluginmap.R'
        'rk.XML.preview.R' 'rk.XML.radio.R' 'rk.XML.require.R'
        'rk.XML.row.R' 'rk.XML.saveobj.R' 'rk.XML.set.R'
        'rk.XML.snippet.R' 'rk.XML.snippets.R' 'rk.XML.spinbox.R'
        'rk.XML.stretch.R' 'rk.XML.switch.R' 'rk.XML.tabbook.R'
        'rk.XML.text.R' 'rk.XML.varselector.R' 'rk.XML.varslot.R'
        'rk.XML.vars.R' 'rk.XML.wizard.R' 'show-methods.R' 'tf.R'
        'zzz.rk.plot.opts-class.R'
Packaged: 2013-04-04 19:39:19 UTC; m

=== debian/changelog ===
r-other-rkward-rkwarddev (0.06-2-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Thu, 07 Feb 2013 19:55:15 +0000

r-other-rkward-rkwarddev (0.05-8-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sun, 30 Sep 2012 19:56:48 +0000

r-other-rkward-rkwarddev (0.05-7-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sat, 29 Sep 2012 19:13:55 +0000

r-other-rkward-rkwarddev (0.05-6-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 08 May 2012 22:19:17 +0000

r-other-rkward-rkwarddev (0.05-5-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 17 Apr 2012 22:50:32 +0000

=== debian/control ===
Source: r-other-rkward-rkwarddev
Section: math
Priority: optional
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Build-Depends-Indep: debhelper (>> 4.1.0), r-base-dev (>= 2.9.0), cdbs, r-cran-ximple (>= 0.03-18) | r-other-reaktanz-ximple (>=
 0.03-18) | r-other-rkward-ximple (>= 0.03-18), rkward (>= 0.5.6)
Standards-Version: 3.9.3.1
Homepage: http://rkward.sourceforge.net

Package: r-other-rkward-rkwarddev
Architecture: all
Section: math
Depends: r-base (>= 2.15.0), r-cran-ximple (>= 0.03-18) | r-other-reaktanz-ximple (>= 0.03-18) | r-other-rkward-ximple (>= 0.03-18),
 rkward (>= 0.5.6)
Description: GNU R package: Provides functions to create plugin skeletons and XML structures for RKWard.
Homepage: http://rkward.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
#								-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-rkward-rkwarddev package
# Copyright 2013 by m.eik michalke <meik.michalke@hhu.de>

debRreposname := other-rkward

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

## rkwarddev 0.10-3

=== DESCRIPTION ===
Package: rkwarddev
Type: Package
Title: A Collection of Tools for RKWard Plugin Development
Description: Provides functions to create plugin skeletons and XML structures for RKWard.
Author: m.eik michalke [aut, cre, cph]
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Depends: R (>= 4.0.0),XiMpLe (>= 0.11-3),rkward (>= 0.7.1)
Imports: methods
Enhances: rkward
Suggests: testthat,knitr,rmarkdown
VignetteBuilder: knitr
URL: https://rkward.kde.org
BugReports: https://github.com/rkward-community/rkwarddev/issues
License: GPL (>= 3)
Encoding: UTF-8
LazyLoad: yes
Authors@R: c(person(given="m.eik", family="michalke", email="meik.michalke@hhu.de", role=c("aut", "cre", "cph")))
Version: 0.10-3
Date: 2025-09-24
RoxygenNote: 7.3.1
Collate: '00_class_01_rk.JS.arr.R' '00_class_02_rk.JS.var.R'
        '00_class_03_rk.JS.ite.R' '00_class_04_rk.JS.opt.R'
        '00_class_05_rk.JS.oset.R' 'rk.rkh.doc.R' 'rk.JS.doc.R'
        'rk.XML.plugin.R' '00_class_06_rk.plug.comp.R'
        '01_methods_01_plugin2script.R' '50_all.valid.children.R'
        '50_all.valid.modifiers.R' '60_JS.getters.default.R'
        'R.comment.R' 'echo.R' 'i18n.R' 'id.R' 'idq.R' 'ite.R' 'join.R'
        'js.R' 'modifiers.R' 'qp.R' 'rk.comment.R' 'rk-internal.R'
        'rk.JS.array.R' 'rk.JS.header.R' 'rk.JS.method.R'
        'rk.JS.options.R' 'rk.JS.optionset.R' 'rk.JS.saveobj.R'
        'rk.JS.scan.R' 'rk.JS.vars.R' 'rk.XML.about.R'
        'rk.XML.attribute.R' 'rk.XML.browser.R' 'rk.XML.cbox.R'
        'rk.XML.code.R' 'rk.XML.col.R' 'rk.XML.component.R'
        'rk.XML.components.R' 'rk.XML.connect.R' 'rk.XML.context.R'
        'rk.XML.convert.R' 'rk.XML.copy.R' 'rk.XML.dependencies.R'
        'rk.XML.dependency_check.R' 'rk.XML.dialog.R'
        'rk.XML.dropdown.R' 'rk.XML.embed.R' 'rk.XML.entry.R'
        'rk.XML.external.R' 'rk.XML.formula.R' 'rk.XML.frame.R'
        'rk.XML.help.R' 'rk.XML.hierarchy.R' 'rk.XML.i18n.R'
        'rk.XML.include.R' 'rk.XML.input.R' 'rk.XML.insert.R'
        'rk.XML.logic.R' 'rk.XML.matrix.R' 'rk.XML.menu.R'
        'rk.XML.option.R' 'rk.XML.optioncolumn.R'
        'rk.XML.optiondisplay.R' 'rk.XML.optionset.R' 'rk.XML.page.R'
        'rk.XML.pluginmap.R' 'rk.XML.preview.R' 'rk.XML.radio.R'
        'rk.XML.require.R' 'rk.XML.row.R' 'rk.XML.saveobj.R'
        'rk.XML.select.R' 'rk.XML.set.R' 'rk.XML.snippet.R'
        'rk.XML.snippets.R' 'rk.XML.spinbox.R' 'rk.XML.stretch.R'
        'rk.XML.switch.R' 'rk.XML.tabbook.R' 'rk.XML.text.R'
        'rk.XML.values.R' 'rk.XML.valueselector.R' 'rk.XML.valueslot.R'
        'rk.XML.vars.R' 'rk.XML.varselector.R' 'rk.XML.varslot.R'
        'rk.XML.wizard.R' 'rk.build.plugin.R' 'rk.comment.reuse.R'
        'rk.get.comp.R' 'rk.get.empty.e.R' 'rk.get.indent.R'
        'rk.get.rkh.prompter.R' 'rk.i18n.comment.R' 'rk.local.R'
        'rk.paste.JS.R' 'rk.paste.JS.graph.R' 'rk.plotOptions.R'
        'rk.plugin.component.R' 'rk.plugin.skeleton.R'
        'rk.rkh.caption.R' 'rk.rkh.label.R' 'rk.rkh.link.R'
        'rk.rkh.related.R' 'rk.rkh.scan.R' 'rk.rkh.section.R'
        'rk.rkh.setting.R' 'rk.rkh.settings.R' 'rk.rkh.summary.R'
        'rk.rkh.technical.R' 'rk.rkh.title.R' 'rk.rkh.usage.R'
        'rk.set.comp.R' 'rk.set.empty.e.R' 'rk.set.indent.R'
        'rk.set.rkh.prompter.R' 'rk.testsuite.doc.R' 'rk.uniqueIDs.R'
        'rk.updatePluginMessages.R' 'rkwarddev-package.R'
        'rkwarddev.required.R' 'show-methods.R' 'tf.R'
        'zzz.rk.plot.opts-class.R'
NeedsCompilation: no
Packaged: 2025-09-25 18:06:34 UTC; thomas

=== debian/changelog ===
r-other-rkward-rkwarddev (0.10-2-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 03 May 2022 16:13:35 +0200

r-other-rkward-rkwarddev (0.10-1-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Thu, 21 Apr 2022 18:50:49 +0200

r-other-rkward-rkwarddev (0.08-3-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Thu, 21 Apr 2022 18:00:17 +0200

r-other-rkward-rkwarddev (0.08-2-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 28 Jul 2017 16:30:08 +0200

r-other-rkward-rkwarddev (0.08-1-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Thu, 17 Dec 2015 19:13:45 +0100

r-other-rkward-rkwarddev (0.07-3-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sat, 27 Jun 2015 22:21:34 +0200

r-other-rkward-rkwarddev (0.07-2-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sat, 14 Mar 2015 15:37:35 +0100

r-other-rkward-rkwarddev (0.07-1-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 13 Mar 2015 20:12:35 +0100

r-other-rkward-rkwarddev (0.06-5-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sun, 19 Oct 2014 22:34:34 +0200

r-other-rkward-rkwarddev (0.06-4-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Mon, 01 Sep 2014 15:04:59 +0200

r-other-rkward-rkwarddev (0.06-3-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sat, 21 Dec 2013 19:36:16 +0000

=== debian/control ===
Source: r-other-rkward-rkwarddev
Section: gnu-r
Priority: optional
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Build-Depends-Indep: debhelper (>> 9.0.0), r-base-dev (>= 4.0.0), cdbs, r-cran-ximple (>=
 0.10-3) | r-other-reaktanz-ximple (>= 0.10-3) | r-other-rkward-ximple (>= 0.10-3),
 rkward (>= 0.7.1)
Standards-Version: 3.9.3.1
Homepage: https://rkward.kde.org

Package: r-other-rkward-rkwarddev
Architecture: all
Section: gnu-r
Depends: r-base-core (>= 4.2.0), r-api-4.0, r-cran-ximple (>= 0.10-3) |
 r-other-reaktanz-ximple (>= 0.10-3) | r-other-rkward-ximple (>= 0.10-3), rkward (>=
 0.7.1)
Description: GNU R package "A Collection of Tools for RKWard Plugin Development"
 .
 Provides functions to create plugin skeletons and XML structures for RKWard.
Homepage: https://rkward.kde.org
Suggests: r-cran-testthat, r-cran-knitr, r-cran-rmarkdown

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-rkward-rkwarddev package
# Copyright 2022 by m.eik michalke <meik.michalke@hhu.de>

debRreposname := other-rkward

include /usr/share/R/debian/r-cran.mk
